Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1054997 - [abrt] evolution-data-server-3.8.5-8.el7: id_hash: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-data-server-3.8.5-8.el7: id_hash: Process /usr/libexec/evolu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution-data-server
Version: 7.0
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:0025327d3e03f019d0f70a3059b...
: 1064924 1153699 1175658 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 22:24 UTC by Subhendu Ghosh
Modified: 2018-11-09 10:54 UTC (History)
4 users (show)

Fixed In Version: evolution-data-server-3.28.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-09 10:54:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: cgroup (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: core_backtrace (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: dso_list (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: environ (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: exploitable (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: limits (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: maps (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: open_fds (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: proc_pid_status (deleted)
2014-01-17 22:24 UTC, Subhendu Ghosh
no flags Details
File: sosreport.tar.xz (deleted)
2014-01-17 22:25 UTC, Subhendu Ghosh
no flags Details
backtrace (deleted)
2014-12-05 14:01 UTC, Jiri Koten
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 688795 None None None Never

Description Subhendu Ghosh 2014-01-17 22:24:28 UTC
Version-Release number of selected component:
evolution-data-server-3.8.5-8.el7

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: id_hash
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.10.0-65.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            10418
var_log_messages: Jan 17 12:26:15 dakar abrt[7944]: Saved core dump of pid 2735 (/usr/libexec/evolution-calendar-factory) to /var/tmp/abrt/ccpp-2014-01-17-12:26:12-2735 (573771776 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 id_hash at /lib64/libedata-cal-1.2.so.20
 #1 g_hash_table_insert_internal at /lib64/libglib-2.0.so.0
 #2 e_data_cal_view_notify_components_added at /lib64/libedata-cal-1.2.so.20
 #3 e_cal_backend_http_start_view at /usr/lib64/evolution-data-server/calendar-backends/libecalbackendhttp.so
 #4 calview_start_thread at /lib64/libedata-cal-1.2.so.20
 #5 g_thread_proxy at /lib64/libglib-2.0.so.0
 #6 start_thread at /lib64/libpthread.so.0
 #7 clone at /lib64/libc.so.6

Comment 1 Subhendu Ghosh 2014-01-17 22:24:32 UTC
Created attachment 851832 [details]
File: backtrace

Comment 2 Subhendu Ghosh 2014-01-17 22:24:34 UTC
Created attachment 851833 [details]
File: cgroup

Comment 3 Subhendu Ghosh 2014-01-17 22:24:37 UTC
Created attachment 851834 [details]
File: core_backtrace

Comment 4 Subhendu Ghosh 2014-01-17 22:24:39 UTC
Created attachment 851835 [details]
File: dso_list

Comment 5 Subhendu Ghosh 2014-01-17 22:24:42 UTC
Created attachment 851836 [details]
File: environ

Comment 6 Subhendu Ghosh 2014-01-17 22:24:44 UTC
Created attachment 851837 [details]
File: exploitable

Comment 7 Subhendu Ghosh 2014-01-17 22:24:47 UTC
Created attachment 851838 [details]
File: limits

Comment 8 Subhendu Ghosh 2014-01-17 22:24:49 UTC
Created attachment 851839 [details]
File: maps

Comment 9 Subhendu Ghosh 2014-01-17 22:24:52 UTC
Created attachment 851840 [details]
File: open_fds

Comment 10 Subhendu Ghosh 2014-01-17 22:24:54 UTC
Created attachment 851841 [details]
File: proc_pid_status

Comment 11 Subhendu Ghosh 2014-01-17 22:25:00 UTC
Created attachment 851842 [details]
File: sosreport.tar.xz

Comment 13 Milan Crha 2014-01-20 10:34:26 UTC
Similar upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=688795

It contains a fix, but it is included in 3.8.5 already, and it is also reopened due to a duplicate in 3.8.5. This might depend on a current state of configures calendars, and the view (date/time range) the calendar was asked for. I see from the backtrace that this crashed for you in an On The Web calendar.

Do you have configured and enabled more calendars? What are they? Do you recall what you did when this crashed?

Comment 14 Subhendu Ghosh 2014-01-20 22:10:52 UTC
I had the calendar open in Evolution and also in the Zimbra WebUI.

Comment 15 RHEL Product and Program Management 2014-03-22 06:11:49 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 16 Milan Crha 2014-05-09 05:21:03 UTC
*** Bug 1064924 has been marked as a duplicate of this bug. ***

Comment 17 Jiri Koten 2014-06-26 15:40:10 UTC
Another user experienced a similar problem:

Resume machine with evolution running
Client displayed error about calendar backend stopped working

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: id_hash
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.10.0-123.1.2.el7.x86_64
package:        evolution-data-server-3.8.5-24.el7_0
reason:         evolution-calendar-factory killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1001

Comment 18 Milan Crha 2014-10-17 07:04:55 UTC
*** Bug 1153699 has been marked as a duplicate of this bug. ***

Comment 19 Jiri Koten 2014-12-05 13:53:19 UTC
Another user experienced a similar problem:

Editing/Deleting Meeting and other events in Calendar
No precise reproducer

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: id_hash
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.10.0-206.el7.x86_64
package:        evolution-data-server-3.8.5-32.el7
reason:         evolution-calendar-factory killed by SIGSEGV
type:           CCpp

Comment 20 Jiri Koten 2014-12-05 14:01:43 UTC
Created attachment 965107 [details]
backtrace

Comment 21 Milan Crha 2014-12-05 14:06:51 UTC
Maybe this is [1]. I can backport it, but as there is no exact reproducer, then hard to tell whether it's really it. On the other hand, the fix from [1] is a good fix, better to have, than not.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=701138

Comment 22 Milan Crha 2015-01-05 17:53:59 UTC
*** Bug 1175658 has been marked as a duplicate of this bug. ***

Comment 25 Milan Crha 2017-03-09 17:42:55 UTC
Still missing reproducer, unfortunately. I see that this didn't repeat with 3.12.11, thus maybe some other changes covered it.

Comment 26 Milan Crha 2018-11-09 10:54:40 UTC
I'm closing this. RHEL7 contains evolution-data-server-3.28, which didn't reproduce it. Further more, above referenced upstream bug had been closed as a duplicate of another bug, which received its fix in 3.12.9, thus it should be fixed now.


Note You need to log in before you can comment on or make changes to this bug.